﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SpaceInvaders
{
    /// <summary>
    /// Classe pour l'objet "ennemi"
    /// </summary>
    public class Enemy
    {
        public int X;            //Position horizontal de l'ennemi
        public int Y;            //Position vertical de l'ennemi
        public bool MoveRight;  //Boolean pour indiquer que l'ennemi va à droite ou pas
        public bool MoveDown;

        /// <summary>
        /// Constructeur de l'ennemi
        /// </summary>
        /// <param name="x">Position horizontal initial </param>
        /// <param name="y">Position vertical initial </param>
        public Enemy(int x, int y)
        {
            X = x;                  
            Y = y;                  
            MoveRight = true;      
            MoveDown = true;        
        }

        /// <summary>
        /// Fonction pour actualiser la position de l'ennemi
        /// </summary>
        public void UpdatePosition()
        {
            //Si l'ennemi atteint le bord droit de la console
            if (X == Console.WindowWidth-1)
            {
                MoveRight = false;         
                MoveDown = true;            


            }
            //Si l'ennemi atteint le bord gauche de la console
            else if (X == 0)
            {
                MoveRight = true;      
                MoveDown = true;        

            }
            //Si l'ennemi se déplace a droite
            if (MoveRight)
            {
                X++;                //La position horizontal augmente de 1
            }
            else
            {
                X--;                //Sinon la position vertical va diminuer de 1
            }
            //Si l'ennemi descends
            if (MoveDown)
            {
                Y++;                //La position vertical diminue de 1
                MoveDown = false;   //Il arrête de descendre

            }
        }
    }
}
